Hosted portal API

Endpoints behind the hosted connect page. They authenticate with the portal token in the path.

OperationMethod and path
Portal page dataGET /api/v1/portal/{token}
Start connecting a network from the portalPOST /api/v1/portal/{token}/connect
Disconnect a network from the portalPOST /api/v1/portal/{token}/disconnect
GET /api/v1/portal/{token}

Portal page data

portal.info · no API key needed

Parameters

NameInTypeNotes
token required path string

Example

curl -X GET "https://api.siaran.my/api/v1/portal/TOKEN"

Response 200

9 top-level fields
  • organizationName string required
  • brandName string nullable
  • logoUrl string nullable
  • accentColor string nullable
  • teamName string required
  • allowedTypes string[] required
  • connected object[]
    4 fields
    • type string
    • username string nullable
    • displayName string nullable
    • avatarUrl string nullable
  • redirectUrl string nullable
  • expiresAt string date-time
POST /api/v1/portal/{token}/connect

Start connecting a network from the portal

portal.connect · no API key needed

Parameters

NameInTypeNotes
token required path string

Request body application/json

  • type string required
  • serverUrl string nullable

Example

curl -X POST "https://api.siaran.my/api/v1/portal/TOKEN/connect" \
  -H "content-type: application/json" \
  -d '{
    "type": "string"
  }'

Response 200

1 top-level fields
  • url string required
POST /api/v1/portal/{token}/disconnect

Disconnect a network from the portal

portal.disconnect · no API key needed

Parameters

NameInTypeNotes
token required path string

Request body application/json

  • type string required

Example

curl -X POST "https://api.siaran.my/api/v1/portal/TOKEN/disconnect" \
  -H "content-type: application/json" \
  -d '{
    "type": "string"
  }'

Response 200

1 top-level fields
  • success boolean required